import React from 'react'

export default class UserEdit extends React.Component {
  componentWillMount() {
    this.props.getUserInfos();
  }
  constructor(props) {
    super(props);
    this.handleSubmit = this.handleSubmit.bind(this);
  }
  handleSubmit(e) {
    e.preventDefault();
    this.props.updateUser({
      'polochon_url': this.refs.polochonUrl.value,
      'polochon_token': this.refs.polochonToken.value,
      'password': this.refs.newPassword.value,
      'password_confirm': this.refs.newPasswordConfirm.value,
    });
  }
  render() {
    // TODO make this fields editable
    const polochonUrl = this.props.userStore.polochonUrl;
    const polochonToken = this.props.userStore.polochonToken;
    return (
      <div className="container">
        <div className="content-fluid">
          <div className="col-md-6 col-md-offset-3 col-xs-12">
            <h2>Edit user</h2>
            <hr />

            <form ref="userEditForm" className="form-horizontal" onSubmit={(e) => this.handleSubmit(e)}>
              <div className="form-group">
                <label className="control-label">Polochon URL</label>
                <input autoFocus="autofocus" className="form-control" type="text" ref="polochonUrl" value={polochonUrl} />
              </div>

              <div className="form-group">
                <label className="control-label">Polochon token</label>
                <input className="form-control" ref="polochonToken" type="text" value={polochonToken} />
              </div>

              <hr />

              <div className="form-group">
                <label className="control-label">Password</label>
                <input autoComplete="off" className="form-control" ref="newPassword" type="password"/>
              </div>

              <div className="form-group">
                <label className="control-label">Confirm Password</label>
                <input autoComplete="off" className="form-control" ref="newPasswordConfirm" type="password"/>
              </div>

              <div>
                <input className="btn btn-primary pull-right" type="submit" value="Update"/>
              </div>
            </form>
          </div>
        </div>
      </div>
    );
  }
}
