import { combineReducers } from 'redux';
import { routerReducer } from 'react-router-redux'

import movieStore from './movies'
import userStore from './users'
import errors from './errors'

const rootReducer = combineReducers({
  routing: routerReducer,
  movieStore,
  userStore,
  errors,
})

export default rootReducer;
