import React from 'react'

export default function Error(props) {
  if (!props.errors.message) {
    return null
  }
  return (
    <div className="row">
      <div className="col-md-6 col-md-offset-3 col-xs-12">
        <div className="alert alert-warning">
          <button type="button" className="close" onClick={props.dismissError}>
            <span>&times;</span>
          </button>
          <p>{props.errors.message}</p>
        </div>
      </div>
    </div>
  )
}
