const defaultState = {
  movies: [],
  selectedMovieIndex: 0,
};

export default function movieStore(state = defaultState, action) {
  switch (action.type) {
    case 'MOVIE_LIST_FETCH_FULFILLED':
      return Object.assign({}, state, {
        movies: action.payload.data,
      })
    case 'MOVIE_LIST_FETCH_PENDING':
      return state
    case 'SELECT_MOVIE':
      return Object.assign({}, state, {
        selectedMovieIndex: action.index,
      })
    default:
      return state
  }
}
